/*
 * Controlador.java
 *
 * Created on 22 de enero de 2008, 15:52
 */

package servlets;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;
import javabeans.*;
import modelo.*;
public class Controlador extends HttpServlet { 
  public void service(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
    String op=request.getParameter("operacion");
    //acceso a la página de envío de mensajes
    if(op.equals("envio"))
      response.sendRedirect("envio.jsp");
    //grabación de un mensaje
    if(op.equals("grabar")){
      Mensaje men=(Mensaje)request.getAttribute("mensa");
      Operaciones oper=new Operaciones();
      oper.grabaMensaje(men);
      response.sendRedirect("inicio.htm");
    }
    //acceso a la página de solicitud de mensajes
    if(op.equals("muestra"))
      response.sendRedirect("mostrar.htm");
    //acceso a la lista de mensajes del usuario
    if(op.equals("ver")){
      Operaciones oper=new Operaciones();
      ArrayList mensajes=oper.obtenerMensajes(request.getParameter("nombre"));
      request.setAttribute("mensajes",mensajes);
      RequestDispatcher rd=request.getRequestDispatcher("/ver.jsp");
      rd.forward(request,response);
    }
  } 
}